Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.ibm.workplace.wcm.api.query
Enum QueryDepth

    java.lang.Object
      java.lang.Enum<QueryDepth>
          com.ibm.workplace.wcm.api.query.QueryDepth

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<QueryDepth>

    public enum QueryDepth

extends java.lang.Enum<QueryDepth>

If a `Query` is scoped to parents, `QueryDepth` tells the `Query` to return all descendants or children of the parent(s). `QueryDepth` has no effect if the `Query` is not scoped to parents

Since:
  7.0

Enum Constant Summary
`CHILDREN` Return direct children of parents only
`DESCENDANTS` Return all children of parents

Method Summary
`static QueryDepth` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QueryDepth[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CHILDREN

    public static final QueryDepth CHILDREN

  Return direct children of parents only

### DESCENDANTS

    public static final QueryDepth DESCENDANTS

  Return all children of parents

Method Detail

### values

    public static QueryDepth[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (QueryDepth c : QueryDepth.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static QueryDepth valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD